Create API Key
curl --request POST \
--url https://console.vast.ai/api/v0/auth/apikeys/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "read-only-key",
"permissions": {
"read": true,
"write": false
},
"key_params": {
"ip_whitelist": [
"1.2.3.4"
]
}
}
'import requests
url = "https://console.vast.ai/api/v0/auth/apikeys/"
payload = {
"name": "read-only-key",
"permissions": {
"read": True,
"write": False
},
"key_params": { "ip_whitelist": ["1.2.3.4"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'read-only-key',
permissions: {read: true, write: false},
key_params: {ip_whitelist: ['1.2.3.4']}
})
};
fetch('https://console.vast.ai/api/v0/auth/apikeys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": 99,
"key": "abc123...",
"permissions": {
"api": {}
}
}{
"error": "<string>",
"msg": "<string>"
}{
"error": "<string>",
"msg": "<string>"
}Accounts
Create API Key
Creates a new API key for the authenticated user with optional custom permissions and name, returning the unhashed key once.
POST
/
api
/
v0
/
auth
/
apikeys
/
Create API Key
Authorizations
API key must be provided in the Authorization header
Body
application/json
⌘I